/*------------------------------------------------------------
 * Slider
 *------------------------------------------------------------*/

.hygge-slider {
	position: relative;
	opacity: 0;
	.transition;

	.js-started& {
	}

	.processed&,
	.no-js & {
		opacity: 1;
	}

	.hygge-slider__items {
		padding: 0;
		margin: 0;
		position: relative;
		overflow: hidden;
		list-style: none;
	}

	.hygge-slider__item {
		margin: 0;
		padding: 0;
		overflow: hidden;
		-webkit-backface-visibility: hidden;
		   -moz-backface-visibility: hidden;
		        backface-visibility: hidden;

		/* defaults and no-js style */
		margin-bottom: 20px;



		/*	On JS-start
		 *------------------------------------------------------------*/

		.js-started&{
			margin-top: 0;
			margin-bottom: 0;
			z-index: 0;
			opacity: 0;

			/* general for all effects */
			&.active {
				z-index: 1;
				opacity: 1;
			}

			.hygge-slider__item-inwrap {
				overflow: hidden;
			}



			/*	After Height Calculate [elements ready]
			 *------------------------------------------------------------*/

			.processed& {
				.placement;
			}

		}


		/* Animate
		 *------------------------------------------------------------*/

		&.animate-out {
			z-index: 1;
			.animation( ~"hygge-slide-out-right-partial 0.7s 1 cubic-bezier(0.7, 0, 0.3, 1)");

			&.animate-reverse {
				.animation( ~"hygge-slide-out-left-partial 0.7s 1 cubic-bezier(0.7, 0, 0.3, 1)");
			}
		}

		&.animate-in {
			opacity: 1;
			z-index: 2;
			.animation( ~"hygge-slide-in-right 0.7s 1 cubic-bezier(0.7, 0, 0.3, 1)");


			.hygge-slider__item-inwrap {
				.animation( ~"hygge-slide-in-left-partial 0.7s 1 cubic-bezier(0.7, 0, 0.3, 1)");
			}

			&.animate-reverse {
				.animation( ~"hygge-slide-in-left 0.7s 1 cubic-bezier(0.7, 0, 0.3, 1)");

				.hygge-slider__item-inwrap {
					.animation( ~"hygge-slide-in-right-partial 0.7s 1 cubic-bezier(0.7, 0, 0.3, 1)");
				}
			}
		}
	}



/*------------------------------------------------------------
 * Image Slider
 *------------------------------------------------------------*/

	&--images {

		.hygge-slider__item-inwrap {
			background-size: cover;
			background-position: 50% 50%;
		}

		img {
			margin: 0;
		}

		.hygge-ui-arrows {
			z-index: 2;
			position: absolute;
			bottom: 0;
			left: 0;
		}

		.wp-caption-text {
			left: 60px;

			.translateX(-20px);
			opacity: 0;
			visibility: hidden;
			.transition;
		}

		.gallery-item.active:not(.animate-out) {
			.wp-caption-text {
				.translateX(0);
				opacity: 1;
				visibility: visible;
			}
		}

		/* After Height Calculate [mobile excluded]
		*------------------------------------------------------------*/

		.processed& {

			.hygge-slider__item-inwrap {
				.placement;

				a {
					display: block;
					.placement;
				}

				img {
					opacity: 0;
					visibility: hidden;
				}
			}
		}
	}



/*------------------------------------------------------------
 * Blog Slider
 *------------------------------------------------------------*/

	&--blog {

		.post__text {
			opacity: 0;
			.transition;
		}

		.hygge-slider__item.active,
		.hygge-slider__item.animate-in {
			.post__text {
				opacity: 1;
			}
		}

		.hygge-slider__item.animate-out {
			.post__text {
				opacity: 0;
			}
		}

		.hygge-ui-arrows {
			font-size: 26px;
			background: none;
			position: absolute;
			top: 0;
			left: 20px;
			right: 20px;
			z-index: 3;
			padding-top: ~"calc( 50% / 1.64 - 13px )";

			.hygge-ui-arrow--next {
				float: right;
			}
		}
	}
}
